Arke
ReferenceAPI Reference

Permissions

Permission system metadata and introspection

Get permission system metadata

GET
/permissions

Response Body

application/json

curl -X GET "https://api.arke.institute/permissions"
{
  "actions": [
    "entity:view",
    "entity:create",
    "entity:update"
  ],
  "verbs": [
    "view",
    "create",
    "update",
    "delete"
  ],
  "types": [
    "entity",
    "user",
    "collection"
  ],
  "implications": {
    "update": [
      "delete"
    ],
    "manage": [
      "view",
      "create",
      "update",
      "delete"
    ]
  },
  "type_hierarchy": {
    "base_type": "entity",
    "description": "string",
    "restrictions": [
      {
        "type": "collection",
        "allowed_verbs": [
          "view"
        ],
        "description": "string"
      }
    ]
  },
  "wildcards": {
    "verb": {
      "pattern": "*:{verb}",
      "example": "*:view",
      "description": "string"
    },
    "type": {
      "pattern": "*:{verb}",
      "example": "*:view",
      "description": "string"
    }
  },
  "restrictions": [
    "collection:* is not allowed - use explicit collection actions"
  ],
  "default_roles": {
    "owner": [
      "*:view",
      "*:update",
      "*:create",
      "collection:manage"
    ],
    "viewer": [
      "*:view"
    ]
  }
}